### Method

# Gtk Expressionbind

#### Declaration [src]

    GtkExpressionWatch*
    gtk_expression_bind (
      GtkExpression* self,
      GObject* target,
      const char* property,
      GObject* this_
    )

#### Description [src]

Bind `target`‘s property named `property` to `self`.

The value that `self` evaluates to is set via `g_object_set()` on `target`. This is repeated whenever `self` changes to ensure that the object’s property stays synchronized with `self`.

If `self`‘s evaluation fails, `target`‘s `property` is not updated. You can ensure that this doesn’t happen by using a fallback expression.

Note that this function takes ownership of `self`. If you want to keep it around, you should `gtk_expression_ref()` it beforehand.

#### Parameters

`target`

  Type: `GObject`

  The target object to bind to.

  The data is owned by the caller of the method.

`property`

  Type: `const char*`

  Name of the property on `target` to bind to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`this_`

  Type: `GObject`

  The this argument for the evaluation of `self`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GtkExpressionWatch`

A `GtkExpressionWatch`

The data is owned by the instance.